Name:    baloo
Summary: A framework for searching and managing metadata
Version: 4.14.3
Release: %mkrel 3
License: GPLv2 and LGPLv2
URL:     https://projects.kde.org/projects/kde/kdelibs/baloo
Group:   System/Base
Source0: http://download.kde.org/stable/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires: doxygen
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: kde-pimlibs-devel >= %{version}
BuildRequires: kfilemetadata-devel >= %{version}
BuildRequires: pkgconfig(akonadi) >= 1.12.1
BuildRequires: pkgconfig(QJson)
BuildRequires: polkit-qt-devel
BuildRequires: %{_lib}xapian-devel
Conflicts: kde-runtime < 4.12.90
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs >= %{version}
Obsoletes: %name < %{version}-%{release}

%description
%{summary}.

%package file
Summary: File indexing and search for %{name}
Group:   System/Base
Obsoletes: baloo < 4.13.0-3
Obsoletes: nepomuk-core < 4.13.0-2
Requires: %{name} = %{version}-%{release}
Requires: kde-runtime
%description file
%{summary}.

%package devel
Summary:  Developer files for %{name}
Group:    Development/KDE and Qt
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs-devel
%description devel
%{summary}.

%package libs
Summary:  Runtime libraries for %{name}
Group:    System/Libraries
Requires: kdelibs >= %{version}
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}.

%prep
%setup -q -n %name-%version

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build


%post
touch --no-create %{_kde_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde_iconsdir}/hicolor &> /dev/null || :
fi

%post file
if ! egrep -q "fs.inotify.max_user_watches" /etc/sysctl.conf; then echo "fs.inotify.max_user_watches=524288" >>/etc/sysctl.conf; fi

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig


%files
%doc COPYING COPYING.LIB
%{_kde_bindir}/akonadi_baloo_indexer
%{_kde_bindir}/balooctl
%{_kde_bindir}/baloosearch
%{_kde_bindir}/balooshow
%{_kde_datadir}/akonadi/agents/akonadibalooindexingagent.desktop
%{_kde_iconsdir}/hicolor/*/*/*
%{_kde_datadir}/kde4/services/baloo_calendarsearchstore.desktop
%{_kde_datadir}/kde4/services/baloo_contactsearchstore.desktop
%{_kde_datadir}/kde4/services/baloo_emailsearchstore.desktop
%{_kde_datadir}/kde4/services/baloo_notesearchstore.desktop
%{_kde_datadir}/kde4/services/baloosearch.protocol
%{_kde_datadir}/kde4/services/plasma-runner-baloosearch.desktop
%{_kde_datadir}/kde4/services/tags.protocol
%{_kde_datadir}/kde4/services/timeline.protocol
%{_kde_datadir}/kde4/servicetypes/baloosearchstore.desktop
%{_kde_libdir}/kde4/akonadi/akonadi_baloo_searchplugin.so
%{_kde_libdir}/kde4/akonadi/akonadibaloosearchplugin.desktop
%{_kde_libdir}/kde4/baloo_calendarsearchstore.so
%{_kde_libdir}/kde4/baloo_contactsearchstore.so
%{_kde_libdir}/kde4/baloo_emailsearchstore.so
%{_kde_libdir}/kde4/baloo_notesearchstore.so
%{_kde_libdir}/kde4/kio_baloosearch.so
%{_kde_libdir}/kde4/kio_tags.so
%{_kde_libdir}/kde4/kio_timeline.so
%{_kde_libdir}/kde4/krunner_baloosearchrunner.so

%files file
%{_kde_datadir}/autostart/baloo_file.desktop
%{_kde_bindir}/baloo_file
%{_kde_bindir}/baloo_file_cleaner
%{_kde_bindir}/baloo_file_extractor
%{_datadir}/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
%_kde_libdir/kde4/libexec/kde_baloo_filewatch_raiselimit
%{_sysconfdir}/dbus-1/system.d/org.kde.baloo.filewatch.conf
%{_datadir}/dbus-1/system-services/org.kde.baloo.filewatch.service
%_datadir/polkit-1/actions/org.kde.baloo.filewatch.policy
%{_kde_libdir}/kde4/baloo_filesearchstore.so
%{_kde_datadir}/kde4/services/baloo_filesearchstore.desktop
%{_kde_datadir}/kde4/services/kcm_baloofile.desktop
%{_kde_libdir}/kde4/kcm_baloofile.so

%files devel
%{_kde_includedir}/baloo/
%{_kde_libdir}/libbaloocore.so
%{_kde_libdir}/libbalooqueryparser.so
%{_kde_libdir}/libbaloofiles.so
%{_kde_libdir}/libbaloopim.so
%{_kde_libdir}/libbalooxapian.so
%{_kde_libdir}/cmake/Baloo/

%files libs
%{_kde_libdir}/libbaloocore.so.4*
%{_kde_libdir}/libbalooqueryparser.so.4*
%{_kde_libdir}/libbaloofiles.so.4*
%{_kde_libdir}/libbaloopim.so.4*
%{_kde_libdir}/libbalooxapian.so.4*


%changelog
* Tue Jan 05 2016 bb <bb> 4.14.3-3pclos2016
- rebuild against updated xapian libs

* Tue Jul 21 2015 pinoc <vogtpet at gmail.com> 4.14.3-2pclos2015
- rebuild on 15.04.3

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Mon Jul 21 2014 bb <bb> 4.13.3-3pclos2014
- dont run sysctl -p in post script

* Sat Jul 18 2014 bb <bb> 4.13.3-2pclos2014
- fix post script since we dont use systemd

* Thu Jul 17 2014 pinoc <vogtpet at gmail.com> - 4.13.3-1pclos2014
- imported package
